Confirm applicant data for Non-Doc Verification

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to confirm the applicant data with otp or oAuth, depending on the response received after submitting the data.

Request example

curl -X POST \
  'https://api.sumsub.com/resources/applicants/631f268442d8290001e1eee9/ekyc/confirm/bzaPxnCpyxEqs0sJKASXxZIk' \
  -H 'Content-Type: application/json' \
  -d '{
        "otp": {
            "code": "123456",
        }
    }'
curl -X POST \
  'https://api.sumsub.com/resources/applicants/631f268442d8290001e1eee9/ekyc/confirm/bzaPxnCpyxEqs0sJKASXxZIk' \
  -H 'Content-Type: application/json' \
  -d '{
        "oauth": {
            "completeUrl": "https://in.sumsub.com/idensic/ekyc/redirect?code=rUKrpIoRZ44ENZnz8EC6FP",
        }
    }'

Response explained

NameTypeOptionalDescription
statusStringNoVerification status.
confirmationTypeStringYesConfirmation type.
confirmationIdStringYesConfirmation ID.
confirmationStatusStringYesConfirmation status:
  • created — confirmation created.

  • confirmed — confirmation confirmed.

  • retry — confirmation with confirmationId was temporary rejected and can be retried.

  • rejected — confirmation with confirmationId was rejected. Submit the applicant data again or skip the e-KYC step.

Examples: For otp confirmation; the correct code — confirmed, incorrect code for several times — retry, limit of retries was exceeded — rejected.
otpConfirmationObjectYesOTP confirmation details if confirmationType is otp.
oauthConfirmationObjectYesoAuth confirmation details if confirmationType is oAuth.
Path Params
string
required
string
required
Body Params
otp
object
oauth
object
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!